Bug 26721 - UEFI install to existing 32bit efi hardware failed, both 32 +64 bit UEFI install from "Live"
Summary: UEFI install to existing 32bit efi hardware failed, both 32 +64 bit UEFI inst...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: release_blocker normal
Target Milestone: ---
Assignee: Thierry Vignaud
QA Contact:
URL:
Whiteboard:
Keywords:
: 26723 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-06-03 02:16 CEST by ben mcmonagle
Modified: 2020-06-13 21:38 CEST (History)
1 user (show)

See Also:
Source RPM: efivar-37-5.mga7.src.rpm
CVE:
Status comment:


Attachments

Description ben mcmonagle 2020-06-03 02:16:14 CEST
The "draklive-install" program has crashed with the following error:

  grub2-install failed: Installing for i386-efi platform.
  Could not prepare Boot variable: Success
  grub2-install: error: efibootmgr failed to register the boot entry: Input/output error.
  	...propagated at /usr/lib/libDrakX/any.pm line 267.
  Perl's trace:
  drakbug::bug_handler() called from /usr/lib/libDrakX/any.pm:267
  any::installBootloader() called from /usr/sbin/draklive-install:394
  main::setup_bootloader() called from /usr/sbin/draklive-install:102
  main::install_live() called from /usr/sbin/draklive-install:72

Used theme: Adwaita-Xfce

lspcidrake -v
lpc_ich         : Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Power Control Unit [BRIDGE_ISA] (vendor:8086 device:0f1c subv:1043 subd:14ed) (rev: 09)
xhci_pci        : Intel Corporation|Atom Processor Z36xxx/Z37xxx, Celeron N2000 Series USB xHCI [SERIAL_USB] (vendor:8086 device:0f35 subv:1043 subd:14ed) (rev: 09)
Card:Intel 810 and later: Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Graphics & Display [DISPLAY_VGA] (vendor:8086 device:0f31 subv:1043 subd:14ed) (rev: 09)
mei_txe         : Intel Corporation|Atom Processor Z36xxx/Z37xxx Series Trusted Execution Engine [CRYPT_OTHER] (vendor:8086 device:0f18 subv:1043 subd:14ed) (rev: 09)
unknown         : Intel Corporation|Atom Processor Z36xxx/Z37xxx Series SoC Transaction Register [BRIDGE_HOST] (vendor:8086 device:0f00 subv:1043 subd:14ed) (rev: 09)
hub             : Linux 5.6.15-desktop586-1.mga8 xhci-hcd|xHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0002)
hub             : Unknown Manufacturer|USB2.0 HUB [Hub|Unused|Full speed (or root) hub] (vendor:0a05 device:7211)
usbhid          : Logitech|USB Optical Mouse [Human Interface Device|Boot Interface Subclass|Mouse] (vendor:046d device:c077)
usb_storage     : Kingston|DataTraveler G3 [Mass Storage|SCSI|Bulk-Only] (vendor:0951 device:1643)
usbhid          : Logitech|USB Keyboard [Human Interface Device|Boot Interface Subclass|Keyboard] (vendor:046d device:c31c)
usbhid          : ASUSTek COMPUTER INC.|ASUS Base Station(T100) [Human Interface Device|Boot Interface Subclass|Keyboard] (vendor:0b05 device:17e0)
usb_storage     : SRT|POLLEX 4G [Mass Storage|SCSI|Bulk-Only] (vendor:090c device:1000)
hub             : Linux 5.6.15-desktop586-1.mga8 xhci-hcd|xHCI Host Controller [Hub|Unused|Full speed (or root) hub] (vendor:1d6b device:0003)
hid_generic     : ASUSTek COMPUTER INC. ASUS Base Station(T100)
hid_generic     : Logitech USB Keyboard
hid_generic     : Logitech USB Optical Mouse
hid_generic     : ASUSTek COMPUTER INC. ASUS Base Station(T100)
hid_generic     : ATML1000:00 03EB:8C0D
hid_generic     : ASUSTek COMPUTER INC. ASUS Base Station(T100)
hid_generic     : Logitech USB Keyboard




Version-Release number of selected component (if applicable):


How reproducible: both 32 and 64 bit XFCE, ran installs 2x


Steps to Reproduce:
1.attempt install onto 32bit efi hardware
2.note crash report
3.if dual boot, windows will boot as grub not installed
ben mcmonagle 2020-06-03 11:14:14 CEST

Summary: UEFI install to existing 32bit efi hardware failed, both 32 +64 bit UEFI install => UEFI install to existing 32bit efi hardware failed, both 32 +64 bit UEFI install from "Live"

Comment 1 Martin Whitaker 2020-06-03 18:56:09 CEST
I've reproduced this on my X205TA. It seems that efibootmgr fails when you specify the ESP is on a MMC device. If you allow efibootmgr to find the ESP itself via the /boot/EFI mountpoint, it works.

Ben, can you confirm you've only seen this on machines like the Chromebook, which have internal Flash drives that appear as /dev/mmcblk?.

CC: (none) => mageia

Comment 2 Lewis Smith 2020-06-03 21:10:48 CEST
Excuse me assigning this to you, Martin; but you are, thankfully, already looking at it...

Assignee: bugsquad => mageia

Comment 3 ben mcmonagle 2020-06-03 22:10:26 CEST
(In reply to Martin Whitaker from comment #1)

> Ben, can you confirm you've only seen this on machines like the Chromebook,
> which have internal Flash drives that appear as /dev/mmcblk?.

just completed install on a Acer B113 Travelmate, (related to a Acer C710 but not a Chromebook) with HDD.  
used XFCE 64 Live and followed exactly the same process to install (nuke and pave)
and  install completed with out error. reboot  successful too.

next to try the C710 Chromebook - it  also has has a HDD
Comment 4 ben mcmonagle 2020-06-04 08:41:10 CEST
Acer C710 ex-chromebook with Coreboot bios
this has a 320GB hdd, (same as the B133 Travelmate)

again with the Live(Xfce 64) install completed without issue
chose erase drive and auto-create new partition set.

no problem with bootloader install.

With the 64CI install, same procedure.
chose erase drive and auto-create new partition set, advised that no /boot/EFI partition created.
Manually created required partitions, so will be commenting again in bug 26714.

chose LXDE DE and install proceeded without further issue.
successful reboot - I am entering this from it
Comment 5 Martin Whitaker 2020-06-04 20:59:31 CEST
This is a bug in the efivar library, introduce in

  https://github.com/rhboot/efivar/commit/4718694094647b981b74453445d000b0296b6544

and fixed by

  https://github.com/rhboot/efivar/commit/f0d3ed17ef3b2bbdfdff4dde12ec0a82d1ccdd33

We already have that patch in SVN, but the efivar package doesn't currently build due to other changes.

I rolled back to the last built version and applied just that patch, then tested a Live install using the patched library. The install completed without error, and I could boot into the installed system.

Assigning to the efivar package maintainer.

Priority: Normal => release_blocker
Source RPM: (none) => efivar-37-5.mga7.src.rpm
Assignee: mageia => thierry.vignaud
Component: Installer => RPM Packages

Comment 6 ben mcmonagle 2020-06-04 21:16:30 CEST
thanks for the quick work Martin
Comment 7 Lewis Smith 2020-06-04 22:20:14 CEST
Second those thanks.
See also bug 26723 which might be a duplicate of this one.
Comment 8 Martin Whitaker 2020-06-07 17:01:15 CEST
Fixed in efivar-37-9.mga7.src.rpm. I've tested it locally. To be verified in the next build of the alpha1 ISOs.
Comment 9 Thierry Vignaud 2020-06-13 21:38:45 CEST
*** Bug 26723 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.